package com.persagy.apm.diagnose.indicatorcompute.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.persagy.apm.diagnose.indicatorcompute.model.*;
import com.persagy.apm.diagnose.indicatorcompute.model.dto.*;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Param;
import org.apache.poi.ss.formula.functions.T;

/**
 * (ProjectIndicatorCompute) service接口
 *
 * @author lixing
 * @version V1.0 2021-09-21 13:32:54
 */
public interface IProjectIndicatorComputeService extends IService<ProjectIndicatorCompute> {

    /**
     * 创建
     *
     * @param addProjectIndicatorComputeDTO addDTO
     * @return 主键
     * @author lixing
     * @version V1.0 2021-09-21 13:32:54
     */
    public String createProjectIndicatorCompute(@Param("addProjectIndicatorComputeDTO") AddProjectIndicatorComputeDTO addProjectIndicatorComputeDTO);

    /**
     * 详情
     *
     * @param id 主键
     * @return do对象
     * @author lixing
     * @version V1.0 2021-09-21 13:32:54
     */
    public ProjectIndicatorCompute queryProjectIndicatorComputeDetail(String id);

    /**
     * 更新
     *
     * @param updateProjectIndicatorComputeDTO updateDTO
     * @author lixing
     * @version V1.0 2021-09-21 13:32:54
     */
    public void updateProjectIndicatorCompute(UpdateProjectIndicatorComputeDTO updateProjectIndicatorComputeDTO);

    /**
     * 删除
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-09-21 13:32:54
     */
    public void deleteProjectIndicatorCompute(String id);

    /**
     * 查询
     *
     * @param queryProjectIndicatorComputeDTO queryDTO
     * @return List<ProjectIndicatorCompute>
     * @author lixing
     * @version V1.0 2021-09-21 13:32:54
     */
    public List<ProjectIndicatorCompute> queryProjectIndicatorComputeList(QueryProjectIndicatorComputeDTO queryProjectIndicatorComputeDTO);

    /**
     * 分页查询
     *
     * @param pageQueryProjectIndicatorComputeDTO pageQueryDTO
     * @return IPage<ProjectIndicatorCompute>
     * @author lixing
     * @version V1.0 2021-09-21 13:32:54
     */
    public IPage<ProjectIndicatorCompute> pageQueryProjectIndicatorCompute(PageQueryProjectIndicatorComputeDTO pageQueryProjectIndicatorComputeDTO);

    /**
     * @title getProjectIdAndProjectCompute
     * @description 获取map,key为项目id
     * @author leifeng
     * @updateTime 2021/9/21 14:28
     * @return: java.util.Map<java.lang.String,com.persagy.apm.diagnose.indicatorcompute.model.ProjectIndicatorCompute>
     * @throws
     */
    public Map<String, ProjectIndicatorCompute> getProjectIdAndProjectCompute();

}
