package com.persagy.apm.diagnose.maintenance.constant;

import com.alibaba.druid.util.StringUtils;

/**
 * 报警状态
 */
public enum EnumAlarmTreatState {

    UN_HANDLE(1, "未处理"),
    HANDLING(2, "处理中"),
    DONE(3, "处理完成"),
    // 用于兼容子系统业务，后期会移除该状态
    IGNORE(4, "已忽略");

    private Integer code;
    private String name;

    EnumAlarmTreatState(Integer code, String name){
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }
    public String getName() {
        return name;
    }

    public void setCode(Integer code) {
        this.code = code;
    }
    public void setName(String name) {
        this.name = name;
    }

    public static EnumAlarmTreatState getEnumAlarmTreatState(String code) {
        if(StringUtils.isEmpty(code)) {
            return null;
        }
        for(EnumAlarmTreatState item : EnumAlarmTreatState.values()) {
            if(item.getCode().equals(code)) {
                return item;
            }
        }
        return null;
    }
}
